libwebkit2gtk4.0_37-2.6.6-1.mga5.i586.rpm


Advertisement

Description

libwebkit2gtk4.0_37 - GTK+ port of WebKit web browser engine

Property Value
Distribution Mageia 5.1
Repository Mageia Core i586
Package filename libwebkit2gtk4.0_37-2.6.6-1.mga5.i586.rpm
Package name libwebkit2gtk4.0_37
Package version 2.6.6
Package release 1.mga5
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.webkitgtk.org
License BSD and LGPLv2+
Maintainer -
Download size 9.08 MB
Installed size 31.58 MB
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux.

Alternatives

Package Version Architecture Repository
libwebkit2gtk4.0_37-2.14.6-1.mga5.i586.rpm 2.14.6 i586 Mageia Core Updates
libwebkit2gtk4.0_37-2.14.5-1.mga5.i586.rpm 2.14.5 i586 Mageia Core Updates
libwebkit2gtk4.0_37-2.12.4-1.mga5.i586.rpm 2.12.4 i586 Mageia Core Updates
libwebkit2gtk4.0_37-2.10.9-1.mga5.i586.rpm 2.10.9 i586 Mageia Core Updates
libwebkit2gtk4.0_37 - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libEGL.so.1 -
libGL.so.1 -
libX11.so.6 -
libXcomposite.so.1 -
libXdamage.so.1 -
libatk-1.0.so.0 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.11) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.8) -
libcairo.so.2 -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libenchant.so.1 -
libfontconfig.so.1 -
libfreetype.so.6 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_4.0.0) -
libgcc_s.so.1(GLIBC_2.0) -
libgdk-3.so.0 -
libgdk_pixbuf-2.0.so.0 -
libgeoclue.so.0 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libgstapp-1.0.so.0 -
libgstaudio-1.0.so.0 -
libgstbase-1.0.so.0 -
libgstfft-1.0.so.0 -
libgstpbutils-1.0.so.0 -
libgstreamer-1.0.so.0 -
libgsttag-1.0.so.0 -
libgstvideo-1.0.so.0 -
libgtk-3.so.0 -
libharfbuzz-icu.so.0 -
libharfbuzz.so.0 -
libicui18n.so.53 -
libicuuc.so.53 -
libjavascriptcoregtk-4.0.so.18 -
libjpeg.so.8 -
libjpeg.so.8(LIBJPEG_8.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libpango-1.0.so.0 -
libpng16.so.16 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.3.2) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
libsecret-1.so.0 -
libsoup-2.4.so.1 -
libsqlite3.so.0 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.19) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.9) -
libwebp.so.5 -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.6.0) -
libxml2.so.2(LIBXML2_2.6.6) -
libxslt.so.1 -
libxslt.so.1(LIBXML2_1.0.11) -
libxslt.so.1(LIBXML2_1.0.22) -
libxslt.so.1(LIBXML2_1.0.24) -
libxslt.so.1(LIBXML2_1.1.9) -
libz.so.1 -
libz.so.1(ZLIB_1.2.0) -
webkit2 == 2.6.6

Provides

Name Value
libwebkit2gtk-4.0.so.37 -
libwebkit2gtk4.0_37 == 2.6.6-1.mga5
libwebkit2gtk4.0_37(x86-32) == 2.6.6-1.mga5

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libwebkit2gtk4.0_37-2.6.6-1.mga5.i586.rpm
Source Package webkit2-2.6.6-1.mga5.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libwebkit2gtk4.0_37 rpm package:
    # urpmi libwebkit2gtk4.0_37

Files

Path
/usr/lib/libwebkit2gtk-4.0.so.37
/usr/lib/libwebkit2gtk-4.0.so.37.2.7

Changelog

2015-04-17 - luigiwalser <luigiwalser> 2.6.6-1.mga5
+ Revision: 820355
- remove CVE-2015-2330 patch (fixed upstream)
- 2.6.6
2015-03-18 - luigiwalser <luigiwalser> 2.6.5-2.mga5
+ Revision: 818873
- add upstream patch to fix CVE-2015-2330
2015-02-13 - luigiwalser <luigiwalser> 2.6.5-1.mga5
+ Revision: 814862
- 2.6.5
2014-12-19 - luigiwalser <luigiwalser> 2.6.4-1.mga5
+ Revision: 804320
- 2.6.4
+ fwang <fwang>
- use JAVASCRIPTCORE_VERSION_MAJOR macro rather than hardcode soversion
2014-10-24 - fwang <fwang> 2.6.2-2.mga5
+ Revision: 792910
- force -j6 for more than 6 cpus
- bump rel
- 2.6.2
2014-10-15 - umeabot <umeabot> 2.6.1-2.mga5
+ Revision: 745955
- Second Mageia 5 Mass Rebuild
2014-10-14 - luigiwalser <luigiwalser> 2.6.1-1.mga5
+ Revision: 738653
- 2.6.1
2014-09-30 - tv <tv> 2.6.0-3.mga5
+ Revision: 731942
- adjust gir requires
2014-09-29 - tv <tv> 2.6.0-2.mga5
+ Revision: 731804
- add patch from suse: fixup the .gir file to contain the full library name for libjavascriptcore
2014-09-29 - wally <wally> 2.6.0-1.mga5
+ Revision: 731714
- new version 2.6.0
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

See Also

Package Description
libwebkitgtk1.0-devel-2.4.8-2.mga5.i586.rpm Development files for WebKit GTK+ port
libwebkitgtk1.0_0-2.4.8-2.mga5.i586.rpm GTK+ port of WebKit web browser engine
libwebkitgtk3.0-devel-2.4.8-2.mga5.i586.rpm Development files for WebKit GTK+3 port
libwebkitgtk3.0_0-2.4.8-2.mga5.i586.rpm GTK+3 port of WebKit web browser engine
libwebp-devel-0.4.3-1.mga5.i586.rpm Development files for libwebp, a library for the WebP format
libwebp-tools-0.4.3-1.mga5.i586.rpm The WebP command line tools
libwebp5-0.4.3-1.mga5.i586.rpm Library for the WebP format
libwebpdemux1-0.4.3-1.mga5.i586.rpm Library for the WebP format with support for demuxing
libwebrtc-audio-processing-devel-0.1-4.mga5.i586.rpm Development files for WebRTC Audio Processing Library
libwebrtc-audio-processing0-0.1-4.mga5.i586.rpm WebRTC Audio Processing Library
libweed-devel-2.2.7-1.mga5.i586.rpm Linux Video Editing System - Development files
libweed0-2.2.7-1.mga5.i586.rpm Linux Video Editing System - shared libs
libwildmidi-devel-0.3.8-1.mga5.i586.rpm Development files for Wildmidi
libwildmidi1-0.3.8-1.mga5.i586.rpm Library for WildMIDI
libwim-devel-1.7.1-4.mga5.i586.rpm Headers for developing programs using wimlib
Advertisement
Advertisement